Bug 498416 - Unable to boot Fedora11-Preview
Unable to boot Fedora11-Preview
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
http://www.redhat.com/archives/fedora...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 08:15 EDT by Jan ONDREJ
Modified: 2010-06-28 08:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2009-04-30 08:15:29 EDT
Description of problem:
When trying to install 11-Preview in KVM virtual machine using PXE, GRUB is not correctly installed. My system only says:
  Booting from Hard Disk...
then only eats my processor time. No GRUB prompt or something similar.

When trying to do same on 11-Beta, it works, just for 11-Preview not.
What changed on 11-Preview?

Version-Release number of selected component (if applicable):
Virtually installed: 11-Preview
On Fedora 10 stable with these virt components:

[ondrejj work ~]$ rpm -qa \*virt\* gtk-vnc qemu\* \*kvm\* | sort
etherboot-roms-kvm-5.4.4-13.fc11.noarch
etherboot-zroms-kvm-5.4.4-13.fc11.noarch
gtk-vnc-0.3.8-8.fc11.i586
libvirt-python-0.6.1-1.fc10.i386
libvirt-0.6.1-1.fc10.i386
python-virtinst-0.400.3-3.fc10.noarch
python-virtualenv-1.3.2-1.fc10.noarch
qemu-common-0.10-12.fc11.i586
qemu-img-0.10-12.fc11.i586
qemu-system-arm-0.10-12.fc11.i586
qemu-system-cris-0.10-12.fc11.i586
qemu-system-mips-0.10-12.fc11.i586
qemu-system-m68k-0.10-12.fc11.i586
qemu-system-ppc-0.10-12.fc11.i586
qemu-system-sh4-0.10-12.fc11.i586
qemu-system-sparc-0.10-12.fc11.i586
qemu-system-x86-0.10-12.fc11.i586
qemu-user-0.10-12.fc11.i586
qemu-0.10-12.fc11.i586
virt-df-2.1.5-1.fc10.i386
virt-manager-0.7.0-4.fc10.i386
virt-mem-0.2.9-6.fc10.i386
virt-top-1.0.3-2.fc10.i386
virt-viewer-0.0.3-3.fc10.i386

How reproducible:
always for me

Steps to Reproduce:
1. create a new virtual machine, set OS to Fedora 11 (use paravirtualized disk driver)
2. boot Fedora11-Preview from PXE and install
3. try to boot
  
Actual results:
Booting from Hard Disk...

Expected results:
GRUB ...

Additional info:
More information in this thread:
https://www.redhat.com/archives/fedora-virt/2009-April/msg00269.html

Trying to fix GRUB by running some commands suggested by markmc:
sh-4.0# chroot /mnt/sysimage/
sh-4.0# grub --device-map=/boot/grub/device.map   


    GNU GRUB  version 0.97  (640K lower / 3072K upper memory)

 [ Minimal BASH-like line editing is supported.  For the first word, TAB
   lists possible command completions.  Anywhere else TAB lists the possible
   completions of a device/filename.]
grub> root (hd0,0)
root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
grub> setup --prefix=/grub (hd0)
setup --prefix=/grub (hd0)
 Checking if "/grub/stage1" exists... yes
 Checking if "/grub/stage2" exists... yes
 Checking if "/grub/e2fs_stage1_5" exists... yes
 Running "embed /grub/e2fs_stage1_5 (hd0)"... failed (this is not fatal)
 Running "embed /grub/e2fs_stage1_5 (hd0,0)"... failed (this is not fatal)
 Running "install /grub/stage1 (hd0) /grub/stage2 p /grub/grub.conf "...
 succeeded
Done.

But this is without success.
Last messages from /var/log/program.log:
This filesystem will be automatically checked every 37 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
Running... ['udevadm', 'settle']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['lvm', 'lvcreate', '-L', '2016m', '-n', 'lv_swap', 'VolGroup']
  Logical volume "lv_swap" created
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle']
Running... ['mkswap', '/dev/mapper/VolGroup-lv_swap']
Setting up swapspace version 1, size = 2064380 KiB
no label, UUID=6af88756-9d8c-4275-8a30-aa511c7378fd
Running... ['udevadm', 'settle']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle']
Running... ['swapon', '/dev/mapper/VolGroup-lv_swap']
Running... ['/usr/sbin/authconfig', '--update', '--nostart', '--useshadow',
'--enablemd5']
authconfig: Authentication module /lib/security/pam_fprintd.so is missing.
Authentication process will not work correctly.
authconfig: Authentication module /lib/security/pam_pkcs11.so is missing.
Authentication process will not work correctly.
Running... ['/usr/sbin/lokkit', '--quiet', '--nostart', '-f', '--service=ssh',
'--port=ssh:tcp']
Running... ['/usr/sbin/lokkit', '--quiet', '--nostart', '--selinux=permissive']
Running... ['/sbin/grub-install', '--just-copy']
Running... ['/sbin/grub', '--batch', '--no-floppy',
'--device-map=/boot/grub/device.map']
Comment 1 Mark McLoughlin 2009-05-04 10:59:40 EDT
The summary here is:

  - Using qemu-kvm from f11

  - Newly installed F11 Beta guest boots fine

  - Newly installed F11 Preview guest doesn't get to bootloader

Jan, could you confirm that is the case? e.g. was the f11 beta guest installed using the same qemu-kvm, host kernel, guest config and kickstart?
Comment 2 Jan ONDREJ 2009-05-05 05:15:38 EDT
I can't reproduce this with my current packages. My qemu has been downgraded to fedora-10 latest stable release. My current packages:

[ondrejj@work ~]$ rpm -qa \*virt\* gtk-vnc qemu\* \*kvm\* | sort
etherboot-roms-kvm-5.4.4-4.fc10.i386
gtk-vnc-0.3.8-8.fc11.i586
kvm-74-10.fc10.i386
libvirt-python-0.6.1-1.fc10.i386
libvirt-0.6.1-1.fc10.i386
python-virtinst-0.400.3-3.fc10.noarch
python-virtualenv-1.3.2-1.fc10.noarch
qemu-img-0.9.1-12.fc10.i386
qemu-0.9.1-12.fc10.i386
virt-df-2.1.5-1.fc10.i386
virt-manager-0.7.0-4.fc10.i386
virt-mem-0.2.9-6.fc10.i386
virt-top-1.0.3-2.fc10.i386
virt-viewer-0.0.3-3.fc10.i386
[ondrejj@work ~]$
Comment 3 Bug Zapper 2009-06-09 10:52:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:01:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:17:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.